%define upstream_name XMLNews-Meta
%define upstream_version 0.01

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 6
License:	GPL
Group:		Development/Perl
Summary:	%{upstream_name} perl module
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/D/DM/DMEGG/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel 
BuildRequires:  perl(XML::Parser)
Requires:	perl 

Buildarch:	noarch

%description
%{upstream_name} - module designed to read and write an XML-based news metadata

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install

make PREFIX=%{buildroot}%{_prefix} install DESTDIR=%{buildroot}

%files 
%doc README MANIFEST Changes
%{perl_vendorlib}/XMLNews/
%_mandir/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.10.0-6.mga9
+ Revision: 1806761
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-5.mga8
+ Revision: 1498495
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-4.mga7
+ Revision: 1272776
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-3.mga6
+ Revision: 1036035
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.10.0-2.mga6
+ Revision: 968399
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.10.0-1.mga6
+ Revision: 852164
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.01-15.mga5
+ Revision: 748190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01-14.mga5
+ Revision: 686983
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.01-13.mga4
+ Revision: 516320
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.01-12.mga3
+ Revision: 375264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.01-11.mga1
+ Revision: 23930
- cleaning spec file
- imported package perl-XMLNews-Meta


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.01-11mdv2010.0
+ Revision: 430665
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-10mdv2009.0
+ Revision: 268883
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-9mdv2009.0
+ Revision: 210962
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.01-8mdv2008.0
+ Revision: 23513
- rebuild


* Fri May 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.01-7mdk
- Fix Build
- Fix BuildRequires
- Fix Source URL
- use mkrel

* Tue Jun 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.01-6mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-5mdk
- rebuild for new auto{prov,req}

